{config, ...}: {
  sops.secrets."mollysocket-vapid-key".mode = "0440";

  services.mollysocket = {
    enable = true;
    environmentFile = config.sops.secrets."mollysocket-vapid-key".path;
    settings = {
      port = 4381;
      allowed_endpoints = ["https://molly.gladtherescake.eu" "https://nextcloud.gladtherescake.eu"];
      allowed_uuids = ["*"];
      webserver = true;
    };
  };
  services.nginx = {
    virtualHosts = {
      "molly.gladtherescake.eu" = {
        forceSSL = true;
        enableACME = true;
        locations."/" = {
          proxyPass = "http://localhost:4381";
        };
      };
    };
  };
}
